Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class LoginRequester

    java.lang.Object
      |
      +--jreqtools.AbstractRequester
            |
            +--jreqtools.LoginRequester

public class LoginRequester
extends AbstractRequester

This is a requester for login purposes. A login name and a password is requested.

Author:
  Markus Hillenbrand

Fields inherited from class jreqtools.AbstractRequester
`CANCEL, listener, OK`

Constructor Summary
`LoginRequester()`
`LoginRequester(java.lang.String msg, java.lang.String loginMessage, java.lang.String passwordMessage)`
`LoginRequester(java.lang.String title, java.lang.String msg, java.lang.String loginMessage, java.lang.String passwordMessage)`

Method Summary
`protected javax.swing.JDialog` | `createJDialog(javax.swing.JFrame parent)`
`java.lang.String` | `getLogin()`
`char[]` | `getPassword()`
`protected int` | `getReturnValue()`
`void` | `setLogin(java.lang.String text)`
`void` | `setMessage(java.lang.String text)`

Methods inherited from class jreqtools.AbstractRequester
`addHelpButton, addHelpButton, getLocation, getSize, request, request, setLocation, setLocation, setParentComponent, setSize, setSize, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginRequester

    public LoginRequester()

### LoginRequester

    public LoginRequester(java.lang.String msg,
                          java.lang.String loginMessage,
                          java.lang.String passwordMessage)

### LoginRequester

    public LoginRequester(java.lang.String title,
                          java.lang.String msg,
                          java.lang.String loginMessage,
                          java.lang.String passwordMessage)

Method Detail

### createJDialog

    protected javax.swing.JDialog createJDialog(javax.swing.JFrame parent)

  Overrides:
    `createJDialog` in class `AbstractRequester`

### getLogin

    public java.lang.String getLogin()

### getPassword

    public char[] getPassword()

### getReturnValue

    protected int getReturnValue()

  Overrides:
    `getReturnValue` in class `AbstractRequester`

### setLogin

    public void setLogin(java.lang.String text)

### setMessage

    public void setMessage(java.lang.String text)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD